function mbd_init()
{
	// Activate clipboard support for class "mbd-clipboard"
	new ClipboardJS('.mbd-clipboard');

	// Show 'wait' cursor on load() (or other ajax functions)
	$(document)
		.ajaxStart(function(){$(document.body).css({'cursor': 'wait'});})
		.ajaxStop(function(){$(document.body).css({'cursor': 'default'});});
}

// alert on next event (test code, for reference only).
function mbd_event()
{
	$.ajax({url: "/static/events.attach", dataType: "json", complete: function(xhr, status)
					{
						console.log("EVENT", xhr);
						alert(JSON.stringify(xhr.responseJSON, null, 2));
					}});
}

function mbd_api_call(form, command, needs_confirmation)
{
	const api_uri = "/mini_buildd/api/";

	// Discard empty values mainly for convenience (shorter uris, nicer display) -- args w/ empty values are treated as 'not given' by API anyway.
	let args = $(form).serializeArray().filter(kv => kv.name != "output" && kv.name != "confirm" && kv.value != "");
	let args_serialized = jQuery.param(args);
	let args_text = "";
	for (let kv in args) { args_text += "  " + args[kv].name + "=" + args[kv].value + "\n"; }

	if (needs_confirmation == "False" || confirm("Please Confirm API Call: " + command + "\n" + args_text))
	{
		let get_uri = api_uri + command + "/?" + args_serialized;
		$("#api-popup-content").html("<details><summary>Running API Call <b>" + command + "</b></summary><pre>" + args_text + "</pre></details><progress style='width: 100%'></progress>");
		$("#api-popup-content").load(get_uri + "&confirm=" + command + "&output=snippet", function (response, status, xhr) { if (status == "error") { $("#api-popup-content").html(response);};});
		$("#api-popup-page-call").attr("href", get_uri + "&output=page");
		$("#api-popup-json-call").attr("href", get_uri + "&output=json");
		$("#api-popup").removeClass("mbd-hidden")
	};
	return false;  // Avoid non-js 'action=' to be performed
}
